#pragma once
#include <string>
#include "raylib.h" 

class GUI
{
    public:
        void Init(int button_x, int button_y, int button_width, int button_height, std::string button_title);
        void Update(); 
        void Draw();
        void Tick();
        bool GetChecked();

    private:
        int x, y, width, height;
        std::string title;
        bool isChecked = false;
        Rectangle rect;
        
};